GDB (xrefs)

Public Attributes | List of all members
xstormy16_frame_cache Struct Reference

## Public Attributes
CORE_ADDR | base
CORE_ADDR | pc
LONGEST | framesize
int | uses_fp
CORE_ADDR | saved_regs [E_NUM_REGS]
CORE_ADDR | saved_sp

## Detailed Description

Definition at line 70 of file xstormy16-tdep.c.

## Member Data Documentation

## ◆ base

CORE_ADDR xstormy16_frame_cache::base

Definition at line 73 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_frame_base_address(), xstormy16_frame_cache(), and xstormy16_frame_this_id().

## ◆ framesize

LONGEST xstormy16_frame_cache::framesize

Definition at line 75 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_analyze_prologue(), and xstormy16_frame_cache().

## ◆ pc

CORE_ADDR xstormy16_frame_cache::pc

Definition at line 74 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_frame_cache(), xstormy16_frame_this_id(), xstormy16_skip_prologue(), and xstormy16_stack_frame_destroyed_p().

## ◆ saved_regs

CORE_ADDR xstormy16_frame_cache::saved_regs[E_NUM_REGS]

Definition at line 77 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_analyze_prologue(), xstormy16_frame_cache(), and xstormy16_frame_prev_register().

## ◆ saved_sp

CORE_ADDR xstormy16_frame_cache::saved_sp

Definition at line 78 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_frame_cache(), xstormy16_frame_prev_register(), and xstormy16_frame_this_id().

## ◆ uses_fp

int xstormy16_frame_cache::uses_fp

Definition at line 76 of file xstormy16-tdep.c.

Referenced by xstormy16_alloc_frame_cache(), xstormy16_analyze_prologue(), xstormy16_frame_cache(), and xstormy16_skip_prologue().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xstormy16-tdep.c